const app = getApp()
import { Base } from '../../../utils/base.js';
const base = new Base()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    city: '',
    cityShow: false,
    cityList: [],
    city_name: '',
    cityChecked: '',
    show: false,
    forIndex: 3,
    areaNameList: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getCitylist()
  },
  showCitypop(e) {
    this.setData({
      show: true,
      showIndex: e.currentTarget.dataset.index
    })
  },
  onClose() {
    this.setData({
      show: false
    })
  },
  getCitylist: function () {
    let params = {
      url: 'coach/city',
      callback: (data) => {
        console.log(data)
        this.setData({
          cityList: data
        })
        for (let i = 0; i < data.length; i++) {
          if (data[i].is_default == 1) {
            this.setData({
              cityChecked: data[i].city_name,
              city: data[i].city_name,
              region_id: data[i].region_id,
              city_id: data[i].id
            })
          }
        }
        this.getArealist(this.data.region_id)
      }
    }
    base.newRequest(params)
  },
  changeCity: function (e) {
    this.setData({
      cityShow: true
    })
  },
  closeCityShow: function (e) {
    this.setData({
      cityShow: false
    })
  },

  chooseCity(e) {
    console.log(e.currentTarget.dataset.item)
    let city_name = e.currentTarget.dataset.item.city_name;
    let city_id = e.currentTarget.dataset.item.id;
    let region_id = e.currentTarget.dataset.item.region_id;
    if (e.currentTarget.dataset.item.city_name != this.data.cityChecked) {
      this.setData({
        cityChecked: city_name,
        cityChecked_id: city_id,
        region_id: region_id
      })
      this.getArealist(region_id)
    }
  },
  cityChangeComfirm: function (e) {
    const { cityChecked, cityChecked_id, region_id } = this.data;
    this.setData({
      city: cityChecked,
      city_id: cityChecked_id,
      cityShow: false
    })
    this.getArealist(region_id)
  },
  getArealist: function (region_id) {
    let params = {
      url: 'coach/area',
      data: {
        region_id: region_id
      },
      callback: (data) => {
        console.log(data)
        var areaNameList = []
        for (let i in data) {
          areaNameList.push(data[i].name); //属性
        }
        console.log(areaNameList)
        this.setData({
          areaNameList: areaNameList,
          areaList: data
        })
      }
    }
    base.newRequest(params)
  },
  onConfirm(event) {
    const { picker, value, index } = event.detail;
    const {showIndex, areaList } = this.data;
    let area_id;
    for(let i = 0; i<areaList.length;i++){
      if(areaList[i].name == value){
        area_id = areaList[i].id;
      }
    }
    if(showIndex == 1){
      this.setData({
        first_area_name: value,
        first_area: area_id
      })
    }else if(showIndex == 2){
      this.setData({
        second_area_name: value,
        second_area: area_id
      })
    }else if(showIndex == 3){
      this.setData({
        third_area_name: value,
        third_area: area_id
      })
    }
    console.log(area_id)
    this.setData({
      show: !this.data.show
    })
  },
  onCancel() {
    this.setData({
      show : !this.data.show
    })
  },
  save : function () {
    const {city_id, first_area, second_area, third_area} = this.data;
    if(first_area || second_area || third_area){
      let params = {
        url : 'coach/save_area',
        data : {
          coach_id: 5,
          city_id,
          first_area,
          second_area,
          third_area
        },
        type:'POST',
        callback : (data) => {
          base.toast('保存区域成功')
        }
      }
      base.newRequest(params)
    }else{
      base.toast('请至少选择一个意向区域')
    }
  },

})